Bug 1219659 - python-inotify crash in repl
Summary: python-inotify crash in repl
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-inotify
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Terje Røsten
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-07 22:05 UTC by Grant Murphy
Modified: 2015-06-14 17:29 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-06-09 14:59:45 UTC


Attachments (Terms of Use)

Description Grant Murphy 2015-05-07 22:05:59 UTC
Standard dnf install of python-inotify seems to crash when looking at help in repl.

Python 2.7.8 (default, Apr 15 2015, 09:26:43) 
[GCC 4.9.2 20150212 (Red Hat 4.9.2-6)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import pyinotify
>>> help(pyinotify)
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib64/python2.7/site.py", line 459, in __call__
    return pydoc.help(*args, **kwds)
  File "/usr/lib64/python2.7/pydoc.py", line 1784, in __call__
    self.help(request)
  File "/usr/lib64/python2.7/pydoc.py", line 1831, in help
    else: doc(request, 'Help on %s:')
  File "/usr/lib64/python2.7/pydoc.py", line 1568, in doc
    pager(render_doc(thing, title, forceload))
  File "/usr/lib64/python2.7/pydoc.py", line 1563, in render_doc
    return title % desc + '\n\n' + text.document(object, name)
  File "/usr/lib64/python2.7/pydoc.py", line 357, in document
    if inspect.ismodule(object): return self.docmodule(*args)
  File "/usr/lib64/python2.7/pydoc.py", line 1149, in docmodule
    contents.append(self.docother(value, key, name, maxlen=70))
  File "/usr/lib64/python2.7/pydoc.py", line 1355, in docother
    repr = self.repr(object)
  File "/usr/lib64/python2.7/repr.py", line 24, in repr
    return self.repr1(x, self.maxlevel)
  File "/usr/lib64/python2.7/pydoc.py", line 1004, in repr1
    return cram(stripid(repr(x)), self.maxother)
  File "/usr/lib/python2.7/site-packages/pyinotify.py", line 359, in __repr__
    return '<%s=%d>' % (self._attrname, self.get_val())
  File "/usr/lib/python2.7/site-packages/pyinotify.py", line 332, in get_val
    self._inotify_wrapper.str_errno())
OSError: [Errno 14] Errno=Bad address (EFAULT)


>>> pyinotify.__file__
'/usr/lib/python2.7/site-packages/pyinotify.pyc'


>>> pyinotify.__version__
'0.9.5'

[gm@localhost ~]$ rpm -qa | grep inotify
python-inotify-0.9.5-1.fc21.noarch
inotify-tools-devel-3.14-8.fc21.x86_64
inotify-tools-3.14-8.fc21.x86_64

Comment 1 Terje Røsten 2015-05-09 12:56:43 UTC
Thanks for your report, verified.

Comment 2 Fedora Update System 2015-06-04 18:09:12 UTC
python-inotify-0.9.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-inotify-0.9.6-1.fc20

Comment 3 Fedora Update System 2015-06-04 18:09:19 UTC
python-inotify-0.9.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-inotify-0.9.6-1.fc21

Comment 4 Fedora Update System 2015-06-04 18:09:26 UTC
python-inotify-0.9.6-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python-inotify-0.9.6-1.fc22

Comment 5 Fedora Update System 2015-06-05 23:46:56 UTC
Package python-inotify-0.9.6-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-inotify-0.9.6-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9462/python-inotify-0.9.6-1.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-06-09 14:59:45 UTC
python-inotify-0.9.6-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-06-14 17:26:56 UTC
python-inotify-0.9.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-06-14 17:29:19 UTC
python-inotify-0.9.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.